Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.environmentmapping
Class SphereMap

    java.lang.Object
      de.rico.engine.effect.environmentmapping.SphereMap

All Implemented Interfaces:
  EnvironmentMappingIface

    public class SphereMap

extends java.lang.Object
implements EnvironmentMappingIface

This class represents an environment sphere map

Author:
  Frank Bruns

Constructor Summary
`SphereMap(java.lang.String texPath)` Creates a new sphere map with the specified texture.
`SphereMap(com.sun.opengl.util.texture.Texture texture)` Creates a new sphere map with the specified texture.

Method Summary
`void` | `bind(javax.media.opengl.GL gl)` Binds the environment map to the mesh and starts using it.
`void` | `release(javax.media.opengl.GL gl)` Stops using the environment map
`void` | `setTexture(java.lang.String texPath)` Sets the texture that ought to be used for the sphere map to the specified one

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SphereMap

    public SphereMap(java.lang.String texPath)

  Creates a new sphere map with the specified texture. The sphere map is applied to texture unit 1.

  Parameters:
    `texPath` - path to texture to use for the sphere map

### SphereMap

    public SphereMap(com.sun.opengl.util.texture.Texture texture)

  Creates a new sphere map with the specified texture. The sphere map is applied to texture unit 1.

  Parameters:
    `texture` - texture to use for the sphere map

Method Detail

### setTexture

    public void setTexture(java.lang.String texPath)

  Sets the texture that ought to be used for the sphere map to the specified one

  Parameters:
    `texPath` - path to texture to use for sphere mapping

### bind

    public void bind(javax.media.opengl.GL gl)

  Description copied from interface: `EnvironmentMappingIface`
  Binds the environment map to the mesh and starts using it.

  Specified by:
    `bind` in interface `EnvironmentMappingIface`

### release

    public void release(javax.media.opengl.GL gl)

  Description copied from interface: `EnvironmentMappingIface`
  Stops using the environment map

  Specified by:
    `release` in interface `EnvironmentMappingIface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD